# PDMameUpdate

Checks available Torrents on PleasureDome
and updates the local versions if more recent
versions are detected

Supported torrents:
* MAME
* HBMAME

![Sample output](https://djib.fr/git/djib/PDMameUpdate/raw/branch/master/screenshot.png)

## Installation
You need to rename `PDMameUpdate.template.json` to `PDMameUpdate.json` and modify it with the proper information.

You should have Python3 and a few libraries installed (see header in source code).

If you have `pipenv` installed, then you can do:
```shell
pipenv --three
pipenv install
pipenv run python3 PDMameUpdate.py
```

## Usage
```shell
usage: PDMameUpdate.py [-h] [-l] [-d] [-k] [-c]

Update PleasureDome MAME Torrents

optional arguments:
  -h, --help       show this help message and exit
  -l, --log        Display more log messages
  -d, --debug      Display debugging messages
  -c, --countdown  Start with a 5 second countdown
```
